Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.components.content
Interface Content

All Superinterfaces:
  Stringable

All Known Subinterfaces:
  Choose, ContentTask, XmlValidatorAppender

All Known Implementing Classes:
  AbstractContent, AbstractXmlFilterAppender, CachedContent, ChooseImpl, ChoosePrefilter, ContentPrefilter, ContentTaskCatchError, ContentTaskPrefilter, CustomXmlFilterAppender, DefaultDocument, Document, DocumentCollection, DocumentSequence, DynamicContent, EmptyDocument, LiteralContentFilterAppender, RecordContent, SerializedContent, SubtreeRecordReaderFactory, TransformedContent, WrappedContent, XmlFilterAppenderPrefilter, XmlValidatorAppenderPrefilter

    public interface Content

extends Stringable

Defines an interface for a component

Nested Class Summary

Nested classes/interfaces inherited from interface com.servingxml.components.string.Stringable
`Stringable.EmptyStringable`

Field Summary
`static Content[]` | `EMPTY_ARRAY`

Fields inherited from interface com.servingxml.components.string.Stringable
`EMPTY`

Method Summary
`void` | `appendToXmlPipeline(ServiceContext context, Flow flow, XmlFilterChain pipeline)`
`SaxSource` | `createSaxSource(ServiceContext context, Flow flow)`
`XmlPipeline` | `createXmlPipeline(ServiceContext context, Flow flow)`

Methods inherited from interface com.servingxml.components.string.Stringable
`createString`

Field Detail

### EMPTY_ARRAY

    static final Content[] EMPTY_ARRAY

Method Detail

### createSaxSource

    SaxSource createSaxSource(ServiceContext context,
                              Flow flow)

### appendToXmlPipeline

    void appendToXmlPipeline(ServiceContext context,
                             Flow flow,
                             XmlFilterChain pipeline)

### createXmlPipeline

    XmlPipeline createXmlPipeline(ServiceContext context,
                                  Flow flow)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD